#!/usr/bin/perl

use strict;
use warnings;
use LWP::Simple;
use utf8;

$LWP::Simple::ua->default_header('Referer' => "https://www.candidats.fr");
$LWP::Simple::ua->agent('Mozilla/5.0');

$|=1;
print "departement;circonscription;candidat;email;fixe;mobile\n";
my $page = get('https://fnlegislatives.fr/candidats/');

LISTE:
foreach my $ligne (split /\n/, $page)
{
  my $url;
  if ($ligne =~ /href="(https:\/\/fnlegislatives.fr\/candidats\/.+?\/)" rel="bookmark"/)
  {
    my $pagec = get($1);
	my ($departement, $circonscription, $candidat, $email, $fixe, $mobile);
	my $current_key = '';
    foreach my $lignec (split /\n/, $pagec)
    {
      if ($lignec =~ /class="tax-item-category">([0-9AB]+)/)
      {
        $departement = $1;
      }
      elsif ($lignec =~ /class="tax-item-category">(\d+?.*|Fran.+?)</)
      {
        $departement = $1;
      }
      elsif ($lignec =~ /class="tax-item-location">(\d+)/)
      {
        $circonscription = $1;
      }
      elsif ($lignec =~ /class="jv-listing-title">(.+?)</)
      {
        $candidat = $1;
      }
      elsif ($lignec =~ /<span>(Email|Fixe|Mobile)<\/span>/)
      {
        $current_key = $1;
      }
	  elsif ($current_key eq 'Email' && $lignec =~ /<span>(.*?)(?:Non.+?)?<\/span>/i)
      {
        $email = $1;
        $current_key = '';
      }
	  elsif ($current_key eq 'Fixe' && $lignec =~ /"tel:\/\/(\d*.*?)(?:Non.+?)?"/)
      {
        $fixe = $1;
        $current_key = ''
      }
	  elsif ($current_key eq 'Mobile' && $lignec =~ /"tel:\/\/(.*?)"/)
      {
        $mobile = $1;
        print "$departement;$circonscription;$candidat;$email;$fixe;$mobile\n";
      }
    }

  }
}

